GET /query
Operation ID: queryPapers
Auth: none
Description
Search arXiv papers using a query string. Returns an Atom feed containing paper entries matching the search criteria.
Parameters (6)
(string, query, optional)
Comma-separated list of arXiv IDs to retrieve. When using id_list, search_query is optional.
(integer, query, optional, default: 10)
Maximum number of results to return
Constraints: {'minimum': 1, 'maximum': 30000}
(string, query, optional)
Search query string. Supports field prefixes: ti (title), au (author), abs (abstract), co (comment), jr (journal reference), cat (category), rn (report number), id (id). Boolean operators: AND, OR, ANDNOT. Example: all:electron AND cat:cond-mat
(string, query, optional, default: relevance)
Sort field for results
Constraints: {'enum': ['relevance', 'lastUpdatedDate', 'submittedDate']}
(string, query, optional, default: descending)
Sort order for results
Constraints: {'enum': ['ascending', 'descending']}
(integer, query, optional, default: 0)
Start index for results (0-based)
Constraints: {'minimum': 0}
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Query arXiv for papers | openapi-spec |
https://export.arxiv.org/api/query?search_query=all:machine learning&id_list=2401.00001,2401.00002&start=0&max_results=10&sortBy=relevance&sortOrder=descending |
|
| Search arXiv articles | openapi-spec |
https://export.arxiv.org/api/query?search_query=all:quantum computing&id_list=2101.00001,2101.00002 |
|
| Query arXiv papers | openapi-spec |
https://export.arxiv.org/api/query?search_query=all:quantum computing&id_list=2101.00001 |
|
| Query arXiv for papers | openapi-spec |
https://export.arxiv.org/api/query?id_list=cs.AI/1701.00027,2401.00001 |
|
| Query arXiv for papers | probe-gate |
https://export.arxiv.org/api/query?id_list=cs.AI%2F1701.00027%2C2401.00001&start=0&max_results=10&sortBy=relevance&sortOrder=descending |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:49:10.633559 | 200 | 405ms | |
| 2026-03-23 10:26:45.691297 | 200 | 427ms | |
| 2026-03-23 10:18:05.823617 | 200 | 320ms | |
| 2026-03-23 09:19:41.061459 | 200 | 325ms | |
| 2026-03-23 09:13:29.763411 | 200 | 320ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:19:41.061459 | a7067d9c7b05 |
48c23b281d69 |
| 2026-03-23 10:18:05.823617 | 48c23b281d69 |
56dd1c8a7473 |
| 2026-03-23 10:26:45.691297 | 56dd1c8a7473 |
10d43925afac |
| 2026-03-23 10:49:10.633559 | 10d43925afac |
5471d6b872f0 |